%define anolis_release 1

Name:       libxcb
Version:    1.16
Release:    %{anolis_release}%{?dist}
Summary:    A C binding to the X11 protocol
License:    MIT
URL:        http://xcb.freedesktop.org/
Source0:    http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz
Source1:    pthread-stubs.pc.in
BuildRequires:  make
BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  libtool
BuildRequires:  libxslt
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xau) >= 0.99.2
BuildRequires:  pkgconfig(xcb-proto) >= 1.15.1
BuildRequires:	pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xorg-macros) >= 1.18

BuildRequires:  python3 python3-devel

%description
The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a
small footprint, latency hiding, direct access to the protocol, improved
threading support, and extensibility.

%package devel
Summary:    Development files for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing
applications that use %{name}.

%package doc
Summary:    Documentation for %{name}
BuildArch:  noarch

%description doc
The %{name}-doc package contains documentation for the %{name} library.

%prep
%autosetup -p1

%build
%configure \
    --htmldir=%{_docdir}/%{name} \
    --disable-static \
    --enable-selinux \
    --enable-xkb \
    --enable-xinput \
    --disable-xprint \
    --disable-silent-rules

%make_build

%install
%make_install
sed 's,@libdir@,%{_libdir},;s,@prefix@,%{_prefix},;s,@exec_prefix@,%{_exec_prefix},' %{SOURCE1} \
    > $RPM_BUILD_ROOT%{_libdir}/pkgconfig/pthread-stubs.pc

%generate_compatibility_deps

%files
%dir %{abidir}
%{_libdir}/libxcb-composite.so.0*
%{_libdir}/libxcb-damage.so.0*
%{_libdir}/libxcb-dbe.so.0*
%{_libdir}/libxcb-dpms.so.0*
%{_libdir}/libxcb-dri2.so.0*
%{_libdir}/libxcb-dri3.so.0*
%{_libdir}/libxcb-glx.so.0*
%{_libdir}/libxcb-present.so.0*
%{_libdir}/libxcb-randr.so.0*
%{_libdir}/libxcb-record.so.0*
%{_libdir}/libxcb-render.so.0*
%{_libdir}/libxcb-res.so.0*
%{_libdir}/libxcb-screensaver.so.0*
%{_libdir}/libxcb-shape.so.0*
%{_libdir}/libxcb-shm.so.0*
%{_libdir}/libxcb-sync.so.1*
%{_libdir}/libxcb-xf86dri.so.0*
%{_libdir}/libxcb-xfixes.so.0*
%{_libdir}/libxcb-xinerama.so.0*
%{_libdir}/libxcb-xinput.so.0*
%{_libdir}/libxcb-xkb.so.1*
%{_libdir}/libxcb-xselinux.so.0*
%{_libdir}/libxcb-xtest.so.0*
%{_libdir}/libxcb-xv.so.0*
%{_libdir}/libxcb-xvmc.so.0*
%{_libdir}/libxcb.so.1*
%{abidir}/libxcb*.dump

%files devel
%{_includedir}/xcb
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3*

%files doc
%doc COPYING NEWS README.md
%doc %{_docdir}/%{name}/manual
%doc %{_docdir}/%{name}/tutorial

%changelog
* Tue Nov  7 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 1.16-1
- update to 1.16

* Mon Nov 21 2022 Funda Wang <fundawang@yeah.net> - 1.15-1
- New version 1.15

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14-2
- optimise spec file

* Fri Apr 15 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.14-1
- Init from upstream version 1.14
